import request from '@/utils/request'

// 查询文创产品统计列表
export function listCulturalLog(query) {
  return request({
    url: '/vrone/backend/culturalLogs/list',
    method: 'get',
    params: query
  })
}

// 查询文创产品统计详细
export function getCulturalLog(id) {
  return request({
    url: '/vrone/backend/culturalLogs/' + id,
    method: 'get'
  })
}

// 新增文创产品统计
export function addCulturalLog(data) {
  return request({
    url: '/vrone/backend/culturalLogs',
    method: 'post',
    data: data
  })
}

// 修改文创产品统计
export function updateCulturalLog(data) {
  return request({
    url: '/vrone/backend/culturalLogs',
    method: 'put',
    data: data
  })
}

// 删除文创产品统计
export function delCulturalLog(id) {
  return request({
    url: '/vrone/backend/culturalLogs/' + id,
    method: 'delete'
  })
}
